<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_topic">
    <sys_cb_topic action="DELETE">
        <applicability/>
        <applicability_mode>query</applicability_mode>
        <autopilot_topic>false</autopilot_topic>
        <category>bfdd66da0b203300a1b16c2367673a1f</category>
        <channels/>
        <connect_queue/>
        <description>ITSM conversation for creating problem.</description>
        <expose_on_palette>false</expose_on_palette>
        <flexible_conversation_switching>false</flexible_conversation_switching>
        <graph>{
  "graph_api_version": "1.0.36",
  "goals": {
    "primary": {
      "id": "primary",
      "trigger": {
        "type": "primary"
      },
      "name": "primary",
      "applicability": "",
      "description": "",
      "nodes": {
        "283ade88c3914d3b9dfe89c1b59e02b9": {
          "id": "283ade88c3914d3b9dfe89c1b59e02b9",
          "stepType": "Start",
          "name": "Start",
          "greetingResponse": {
            "mode": "simple",
            "value": ""
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "8c1394b7037f4d69bfd21efb6da01bcf": {
          "id": "8c1394b7037f4d69bfd21efb6da01bcf",
          "stepType": "TerminateGoal",
          "name": "End",
          "confirmationMessage": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "ab504e8251704292b8824e18c879e2f5": {
          "id": "ab504e8251704292b8824e18c879e2f5",
          "stepType": "Prompt",
          "name": "Short Description",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Sure, I can help you create a problem. Please tell me more about your problem (a short sentence or two should be fine)"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "9dc1a6339b774c30915a24168512d249",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "4f0cad29de5744038997c12d997d4001": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Urgency",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "What's the urgency of this problem?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "02f54c1d60a048859a2cce19e20248b4",
          "id": "4f0cad29de5744038997c12d997d4001",
          "mode": "external",
          "script": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for urgency.\n    var choiceList = choices.getChoiceList('problem', 'urgency');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options;    \n})()\n",
          "noRecordsResponseMsg": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No choices found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "condition": {
            "value": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for urgency.\n    var choiceList = choices.getChoiceList('problem', 'urgency');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options;    \n})()\n",
            "mode": "external_script"
          },
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": "",
            "label": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "07a7cc5d9fac49e5bbcd0947e90f35ea": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Impact",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "What's the impact of this problem?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "b641d4cf7db448cb824abdf316122f6e",
          "id": "07a7cc5d9fac49e5bbcd0947e90f35ea",
          "mode": "external",
          "script": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for impact.\n    var choiceList = choices.getChoiceList('problem', 'impact');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options; \n})();\n",
          "noRecordsResponseMsg": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No choices found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "condition": {
            "value": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for impact.\n    var choiceList = choices.getChoiceList('problem', 'impact');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options; \n})();\n",
            "mode": "external_script"
          },
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": "",
            "label": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "14befe7f6cf44233a0b812fb8659c7dc": {
          "id": "14befe7f6cf44233a0b812fb8659c7dc",
          "stepType": "Prompt",
          "name": "CI Search Term",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": "OK, let's search for the right configuration item (CI). Please enter a specific search term and I'll take a look."
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "e0a867b3d6ca45baa63627d889455bf3",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "mode": "script",
            "value": "(function execute() {\n    /* Return true or false to indicate if the topic node can\n       be skipped (or not).  For example:\n\n       var skippable = vaInputs.first_name == 'Bill' ? true : false;\n       return skippable;\n    */\n    return true;\n})()\n"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "e0801644a6684d6ba50863bc61251063": {
          "id": "e0801644a6684d6ba50863bc61251063",
          "name": "Check matching CIs",
          "script": "(function execute() {\n    var count = 0;\n\n    var gr = new GlideAggregate('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addAggregate('COUNT');\n    gr.query();\n    if (gr.next())\n        count = gr.getAggregate('COUNT');\n\n    if (count &gt; vaVars.choice_limit) {\n        var gr = new GlideAggregate('cmdb_ci');\n        gr.addQuery('name', vaInputs.ci_search_term);\n        gr.addAggregate('COUNT');\n        gr.query();\n        if (gr.next() &amp;&amp; gr.getAggregate('COUNT') &gt; 0){\n            count = gr.getAggregate('COUNT');\n        }\n        \n    }\n    // set count variable\n    vaVars.count = count;\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "e50dee39e2a645718fba28c218580b04": {
          "id": "e50dee39e2a645718fba28c218580b04",
          "stepType": "Decision",
          "name": "CI Count Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "8a064e30b5724e9896bbba61f861ca29": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Configuration Item",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Ok, now let's search for the associated configuration item."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "5fed4abecb144bb1a2028993aa4cdd4d",
          "id": "8a064e30b5724e9896bbba61f861ca29",
          "mode": "external",
          "script": "(function execute() {\n    var count = 0;\n    var options = [];\n    \n    options.push({ 'value': 'skip', 'label': gs.getMessage('Skip configuration item') });\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', vaInputs.ci_search_term);\n    gr.query();\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    var count = gr.getRowCount();\n    vaVars.count = count;\n\n\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addQuery('name', '!=', vaInputs.ci_search_term)\n    gr.orderBy('name');\n    gr.query();\n\n    var count = gr.getRowCount();\n    vaVars.count = vaVars.count + count;\n\n\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    return options;\n})();",
          "noRecordsResponseMsg": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No Records Found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "condition": {
            "value": "(function execute() {\n    var count = 0;\n    var options = [];\n    \n    options.push({ 'value': 'skip', 'label': gs.getMessage('Skip configuration item') });\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', vaInputs.ci_search_term);\n    gr.query();\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    var count = gr.getRowCount();\n    vaVars.count = count;\n\n\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addQuery('name', '!=', vaInputs.ci_search_term)\n    gr.orderBy('name');\n    gr.query();\n\n    var count = gr.getRowCount();\n    vaVars.count = vaVars.count + count;\n\n\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    return options;\n})();",
            "mode": "external_script"
          },
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "a9a8fe7ef6994e5482174bd531e5df95": {
          "id": "a9a8fe7ef6994e5482174bd531e5df95",
          "stepType": "Decision",
          "name": "CI Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "b170db241b7b4818b81d125a57c9b19f": {
          "id": "b170db241b7b4818b81d125a57c9b19f",
          "stepType": "TextOutput",
          "name": "Captured CI",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Alright, I've captured it."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "4b4f9230b5e04e92a276f4201d41698a": {
          "id": "4b4f9230b5e04e92a276f4201d41698a",
          "name": "No CI",
          "script": "(function execute() {\n    vaInputs.configuration_item = '';\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "150ccbea5dbe4a3f8a103a62556e9aef": {
          "id": "150ccbea5dbe4a3f8a103a62556e9aef",
          "name": "Set CI",
          "script": "(function execute() {\n    vaVars.configuration_item_selected = vaInputs.configuration_item;\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "15aa7b1c457e487796c5f95648877bff": {
          "id": "15aa7b1c457e487796c5f95648877bff",
          "stepType": "Decision",
          "name": "Add Details Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "3b46dd9b58a44b65abd84044bc4263f4": {
          "id": "3b46dd9b58a44b65abd84044bc4263f4",
          "stepType": "Prompt",
          "name": "Description",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Please enter the description"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "3e5817ecce8a4620bf31ddf6c127ab4d",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "e348a51e53bb4e91b44fffacf368ac7a": {
          "id": "e348a51e53bb4e91b44fffacf368ac7a",
          "name": "Create Problem",
          "script": "(function execute() {\n    var problemGr = new GlideRecordSecure('problem');\n    problemGr.initialize();\n    problemGr.short_description = vaInputs.short_description;\n    problemGr.urgency = vaInputs.urgency;\n    problemGr.impact = vaInputs.impact;\n    problemGr.cmdb_ci = vaVars.configuration_item_selected;\n    problemGr.description = vaInputs.description;\n    // When no CI found, add the search term to the additional comments\n    if (vaVars.count == 0)\n        problemGr.comments = \"Affected CI Description: \" + vaInputs.ci_search_term;\n    \n    vaVars.create_problem = problemGr.insert();\n    return vaVars.create_problem;\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "96018bb53ffb40b4ad372e0890900d7e": {
          "id": "96018bb53ffb40b4ad372e0890900d7e",
          "stepType": "TextOutput",
          "name": "Success",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "I've successfully created the problem."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "9ef11a0b08b64c0294d7fd5479fe613a": {
          "id": "9ef11a0b08b64c0294d7fd5479fe613a",
          "stepType": "Decision",
          "name": "Short description Value Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "fb70707b0cf74028b611eb7d0cfa4e74": {
          "id": "fb70707b0cf74028b611eb7d0cfa4e74",
          "stepType": "Prompt",
          "name": "Add Additional Details",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "We are almost done! Do you want to add additional details to this problem?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "3ff090c7233046feae76cd82f8e9bd9a",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          }
        },
        "95ccbec7fba440d7a31318b95089b861": {
          "id": "95ccbec7fba440d7a31318b95089b861",
          "stepType": "RecordOutput",
          "name": "Problem Card",
          "variableId": "",
          "mode": "script",
          "script": "(function execute(table) {\n    var gr = new GlideRecord(table);\n    gr.get(vaInputs.create_problem);\n    if(gr) {\n          return gr;\n    }\n})(table);\n",
          "tableName": "problem",
          "fields": [
            "short_description",
            "urgency",
            "impact",
            "cmdb_ci",
            "description"
          ],
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "condition": {
            "mode": "glide_scripted_query",
            "value": "(function execute(table) {\n    var gr = new GlideRecordSecure(table);\n    gr.get(vaVars.create_problem);\n    if(gr) {\n          return gr;\n    }\n})(table);\n"
          },
          "cardTemplate": "General",
          "cardFields": {},
          "cardDefinition": {}
        },
        "8e5510b1dc1c4c049c80432906358a55": {
          "id": "8e5510b1dc1c4c049c80432906358a55",
          "stepType": "Prompt",
          "name": "Repeat CI Search",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "I did not find any CIs, would you like to search again for the CI?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "4669d51b41bc4dfcbfe79a4af2c19cf5",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          }
        },
        "cc593ab5764f4a8e940dda9f8404b9f4": {
          "id": "cc593ab5764f4a8e940dda9f8404b9f4",
          "stepType": "Decision",
          "name": "Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "d648e54912224f63b7bae9c10064087c": {
          "id": "d648e54912224f63b7bae9c10064087c",
          "stepType": "Decision",
          "name": "Decision"
        },
        "66635838ecc8498b89f7d561b6ab52b2": {
          "id": "66635838ecc8498b89f7d561b6ab52b2",
          "stepType": "TextOutput",
          "name": "Unsuccessful message",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "The problem creation failed due to some internal error. Please try again later."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "value": "",
            "mode": "query"
          },
          "secure": false
        },
        "d7b0c728d446406bb14dbab5d2ac5544": {
          "id": "d7b0c728d446406bb14dbab5d2ac5544",
          "stepType": "Decision",
          "name": "Decision"
        },
        "46622b74d7214948ac5ffadc7fb0a7ed": {
          "id": "46622b74d7214948ac5ffadc7fb0a7ed",
          "stepType": "TextOutput",
          "name": "More choice message",
          "secure": false,
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": "Seems like there are several CIs that include that search term. Could you try being more specific?"
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "value": "",
            "mode": "query"
          }
        }
      },
      "edges": [
        {
          "id": "9eee833fc6e24bb9a1502c5e5eb94e22",
          "edgeType": "Edge",
          "source": "96018bb53ffb40b4ad372e0890900d7e",
          "target": "95ccbec7fba440d7a31318b95089b861",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "58c38c1a57d747bdabff0a93e9b8a4b9",
          "edgeType": "Branch",
          "source": "a9a8fe7ef6994e5482174bd531e5df95",
          "target": "4b4f9230b5e04e92a276f4201d41698a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaInputs.configuration_item == 'skip';\n})();"
          },
          "label": "Skip"
        },
        {
          "id": "db0e776009aa49b3bc5441725363d213",
          "edgeType": "Edge",
          "source": "fb70707b0cf74028b611eb7d0cfa4e74",
          "target": "15aa7b1c457e487796c5f95648877bff",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "f13ffc64d18e43b5bed30b558e6efa7c",
          "edgeType": "Branch",
          "source": "15aa7b1c457e487796c5f95648877bff",
          "target": "e348a51e53bb4e91b44fffacf368ac7a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "add_additional_details=",
            "mode": "query"
          },
          "label": "No"
        },
        {
          "id": "b77bf7f7661c4fa4a676cd0227a9eb7e",
          "edgeType": "Edge",
          "source": "283ade88c3914d3b9dfe89c1b59e02b9",
          "target": "ab504e8251704292b8824e18c879e2f5",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "c08d9228eb594c59afc6193aba3e118b",
          "edgeType": "Edge",
          "source": "4f0cad29de5744038997c12d997d4001",
          "target": "07a7cc5d9fac49e5bbcd0947e90f35ea",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "5054e6d813644e209a988a24b5b3a32f",
          "edgeType": "Edge",
          "source": "07a7cc5d9fac49e5bbcd0947e90f35ea",
          "target": "14befe7f6cf44233a0b812fb8659c7dc",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "728301cb300044c1bce2159d2b7f1d09",
          "edgeType": "Edge",
          "source": "e0801644a6684d6ba50863bc61251063",
          "target": "e50dee39e2a645718fba28c218580b04",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "d7cdfcf392924dc89a41f669a9a44509",
          "edgeType": "Branch",
          "source": "e50dee39e2a645718fba28c218580b04",
          "target": "8a064e30b5724e9896bbba61f861ca29",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.count &gt; 0 &amp;&amp; vaVars.count &lt; vaVars.choice_limit;\n})();\n"
          },
          "label": "Matching CI/CIs and less than limit"
        },
        {
          "id": "7b4de7de429a4ebc8628b352a2fc48bc",
          "edgeType": "Edge",
          "source": "8a064e30b5724e9896bbba61f861ca29",
          "target": "a9a8fe7ef6994e5482174bd531e5df95",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "e927e24e51884e91845a43c6c1cf12ff",
          "edgeType": "Branch",
          "source": "a9a8fe7ef6994e5482174bd531e5df95",
          "target": "b170db241b7b4818b81d125a57c9b19f",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return (vaInputs.configuration_item != 'skip' &amp;&amp; parseInt(vaVars.count) &gt; 0);\n})();"
          },
          "label": "CI Chosen"
        },
        {
          "id": "d1bb3e818cd740e59e8886d42704d9f4",
          "edgeType": "Edge",
          "source": "b170db241b7b4818b81d125a57c9b19f",
          "target": "150ccbea5dbe4a3f8a103a62556e9aef",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "9748a9238aa9429a8ce8953f05650a07",
          "edgeType": "Edge",
          "source": "4b4f9230b5e04e92a276f4201d41698a",
          "target": "150ccbea5dbe4a3f8a103a62556e9aef",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "d549606a65cf42e39c9369e6ebae6579",
          "edgeType": "Edge",
          "source": "150ccbea5dbe4a3f8a103a62556e9aef",
          "target": "fb70707b0cf74028b611eb7d0cfa4e74",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "69b7beb0dfd94a5fbc2fd7a409b83939",
          "edgeType": "Branch",
          "source": "15aa7b1c457e487796c5f95648877bff",
          "target": "3b46dd9b58a44b65abd84044bc4263f4",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "add_additional_details=true",
            "mode": "query"
          },
          "label": "Yes"
        },
        {
          "id": "a1e7ac84b16147719ddba19b7177e462",
          "edgeType": "Edge",
          "source": "3b46dd9b58a44b65abd84044bc4263f4",
          "target": "e348a51e53bb4e91b44fffacf368ac7a",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "89e38f21e8ca4287b61343646f623726",
          "edgeType": "Edge",
          "source": "ab504e8251704292b8824e18c879e2f5",
          "target": "9ef11a0b08b64c0294d7fd5479fe613a",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "7bcc5b08d88e48139baa6fc50543ea7d",
          "edgeType": "Branch",
          "source": "9ef11a0b08b64c0294d7fd5479fe613a",
          "target": "4f0cad29de5744038997c12d997d4001",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaInputs.short_description.getValue().trim() != '';\n})();\n"
          },
          "label": "Not Empty"
        },
        {
          "id": "e4670c75091e4cd8bfb8f30cafde02c6",
          "edgeType": "Branch",
          "source": "9ef11a0b08b64c0294d7fd5479fe613a",
          "target": "ab504e8251704292b8824e18c879e2f5",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaInputs.short_description.getValue().trim() == '';\n})();\n"
          },
          "label": "Empty"
        },
        {
          "id": "749210cfadc348929e369f830a43ee6c",
          "edgeType": "Edge",
          "source": "95ccbec7fba440d7a31318b95089b861",
          "target": "8c1394b7037f4d69bfd21efb6da01bcf",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "1b7bebed8f0f44e6b1636b1ca5a8d60e",
          "edgeType": "Branch",
          "source": "e50dee39e2a645718fba28c218580b04",
          "target": "8e5510b1dc1c4c049c80432906358a55",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.count == 0;\n})();\n"
          },
          "label": "No matching CI"
        },
        {
          "id": "704ff39e02a94c56a315984783953223",
          "edgeType": "Edge",
          "source": "8e5510b1dc1c4c049c80432906358a55",
          "target": "cc593ab5764f4a8e940dda9f8404b9f4",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "daab727e0ac544a6b4c724a1e902581e",
          "edgeType": "Branch",
          "source": "cc593ab5764f4a8e940dda9f8404b9f4",
          "target": "4b4f9230b5e04e92a276f4201d41698a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "repeat_ci_search=",
            "mode": "query"
          },
          "label": "Skip Search"
        },
        {
          "id": "d0cb7261722d4bda9bba4a32ed4fecb3",
          "edgeType": "Branch",
          "source": "cc593ab5764f4a8e940dda9f8404b9f4",
          "target": "14befe7f6cf44233a0b812fb8659c7dc",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "repeat_ci_search=true",
            "mode": "query"
          },
          "label": "Repeat Search"
        },
        {
          "id": "bb3c2eb20ef444f9acc57a3412c000db",
          "edgeType": "Edge",
          "source": "e348a51e53bb4e91b44fffacf368ac7a",
          "target": "d648e54912224f63b7bae9c10064087c",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "def606a5698a415f80d9e58dbc2bca73",
          "edgeType": "Branch",
          "source": "d648e54912224f63b7bae9c10064087c",
          "target": "96018bb53ffb40b4ad372e0890900d7e",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.create_problem != null;\n})()\n"
          },
          "label": "Update Successful"
        },
        {
          "id": "a1e5a84946a4447ba6c3d6ab963734c2",
          "edgeType": "Branch",
          "source": "d648e54912224f63b7bae9c10064087c",
          "target": "66635838ecc8498b89f7d561b6ab52b2",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.create_problem == null;\n})()\n"
          },
          "label": "Update Not Successful"
        },
        {
          "id": "ba2689b369d84fc285aacdd08e6a0269",
          "edgeType": "Edge",
          "source": "66635838ecc8498b89f7d561b6ab52b2",
          "target": "8c1394b7037f4d69bfd21efb6da01bcf",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "2fb03325718f484ca1f765c399e5c6b2",
          "edgeType": "Edge",
          "source": "14befe7f6cf44233a0b812fb8659c7dc",
          "target": "d7b0c728d446406bb14dbab5d2ac5544",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "4d1f661bc1b24704a1c7c3eb472f5cf5",
          "edgeType": "Branch",
          "source": "d7b0c728d446406bb14dbab5d2ac5544",
          "target": "e0801644a6684d6ba50863bc61251063",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "vaInputs.ci_search_termISNOTEMPTY",
            "mode": "query"
          },
          "label": "Search CI"
        },
        {
          "id": "3e0757938ba14b93a12205c9e193ca5d",
          "edgeType": "Branch",
          "source": "d7b0c728d446406bb14dbab5d2ac5544",
          "target": "4b4f9230b5e04e92a276f4201d41698a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "vaInputs.ci_search_termISEMPTY",
            "mode": "query"
          },
          "label": "Skip"
        },
        {
          "id": "de3e1bfdffe54d55b398408bf50150e7",
          "edgeType": "Branch",
          "source": "e50dee39e2a645718fba28c218580b04",
          "target": "46622b74d7214948ac5ffadc7fb0a7ed",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return (vaVars.count &gt; vaVars.choice_limit);\n})()\n"
          },
          "label": "More than limit"
        },
        {
          "id": "92c8976fda0c45b3b603283b045b5449",
          "edgeType": "Edge",
          "source": "46622b74d7214948ac5ffadc7fb0a7ed",
          "target": "14befe7f6cf44233a0b812fb8659c7dc",
          "sourcePort": "",
          "targetPort": ""
        }
      ]
    }
  },
  "variables": {
    "9dc1a6339b774c30915a24168512d249": {
      "id": "9dc1a6339b774c30915a24168512d249",
      "name": "short_description",
      "label": "Short Description",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMzYwNzY3MjU4MiBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "02f54c1d60a048859a2cce19e20248b4": {
      "id": "02f54c1d60a048859a2cce19e20248b4",
      "name": "urgency",
      "label": "Urgency",
      "varType": "reference",
      "table": "",
      "category": "vaInputs"
    },
    "b641d4cf7db448cb824abdf316122f6e": {
      "id": "b641d4cf7db448cb824abdf316122f6e",
      "name": "impact",
      "label": "Impact",
      "varType": "reference",
      "table": "",
      "category": "vaInputs"
    },
    "e0a867b3d6ca45baa63627d889455bf3": {
      "id": "e0a867b3d6ca45baa63627d889455bf3",
      "name": "ci_search_term",
      "label": "CI Search Term",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMzYwNzY3MjU4MiBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "5fed4abecb144bb1a2028993aa4cdd4d": {
      "id": "5fed4abecb144bb1a2028993aa4cdd4d",
      "name": "configuration_item",
      "label": "Configuration Item",
      "varType": "reference",
      "table": "",
      "category": "vaInputs"
    },
    "3e5817ecce8a4620bf31ddf6c127ab4d": {
      "id": "3e5817ecce8a4620bf31ddf6c127ab4d",
      "name": "description",
      "label": "Description",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMzYwNzY3MjU4MiBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "ed84b8371b294c9ba4443b1aca5dfab8": {
      "id": "ed84b8371b294c9ba4443b1aca5dfab8",
      "name": "LiveAgent_application",
      "value": {
        "mode": "simple",
        "value": "itsm"
      },
      "varType": "script",
      "label": "LiveAgent_application",
      "category": "vaVars"
    },
    "b52456e31d314468b6fbcb9f5825287e": {
      "id": "b52456e31d314468b6fbcb9f5825287e",
      "value": {
        "value": "",
        "mode": "simple"
      },
      "name": "configuration_item_selected",
      "label": "configuration_item_selected",
      "varType": "script",
      "category": "vaVars"
    },
    "77bca6ba6e12426ea46a58860a37d54f": {
      "id": "77bca6ba6e12426ea46a58860a37d54f",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "count",
      "label": "count",
      "varType": "script",
      "category": "vaVars"
    },
    "3ff090c7233046feae76cd82f8e9bd9a": {
      "id": "3ff090c7233046feae76cd82f8e9bd9a",
      "name": "add_additional_details",
      "label": "Add Additional Details",
      "varType": "boolean",
      "category": "vaInputs"
    },
    "4669d51b41bc4dfcbfe79a4af2c19cf5": {
      "id": "4669d51b41bc4dfcbfe79a4af2c19cf5",
      "name": "repeat_ci_search",
      "label": "Repeat CI Search",
      "varType": "boolean",
      "category": "vaInputs"
    },
    "1eb62b95a9d54cefbe1a1226f66ff777": {
      "category": "vaInputs",
      "id": "1eb62b95a9d54cefbe1a1226f66ff777",
      "label": "User",
      "name": "user",
      "table": "sys_user",
      "varType": "reference"
    },
    "c73e956bd114408b9b18f3b310d22713": {
      "id": "c73e956bd114408b9b18f3b310d22713",
      "value": {
        "mode": "script",
        "value": "(function execute() {\n    if(vaContext.deviceType == 'mweb') \n    return 100000;\n    \n    return 100;\n})()\n"
      },
      "name": "choice_limit",
      "label": "choice_limit",
      "varType": "script",
      "category": "vaVars"
    }
  }
}</graph>
        <key_phrases>Create Problem,Create Problem-Rail,create problem,problem,prb,report problem,generate problem</key_phrases>
        <library>false</library>
        <live_agent>false</live_agent>
        <name>Create Problem</name>
        <nlu_intent/>
        <nlu_intent_label/>
        <nlu_model/>
        <nlu_model_label/>
        <nlu_provider/>
        <palette_label/>
        <roles>itil</roles>
        <source_topic_id>f6aadcc12f1b0110f98855f62799b6b5</source_topic_id>
        <sys_class_name>sys_cb_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 13:38:28</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>4cea98c12f1b0110f98855f62799b680</sys_id>
        <sys_mod_count>1</sys_mod_count>
        <sys_name>Create Problem</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_topic_4cea98c12f1b0110f98855f62799b680</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 13:38:42</sys_updated_on>
        <triggerable_by_notification>false</triggerable_by_notification>
        <type>STANDARD</type>
        <variables/>
    </sys_cb_topic>
    <sys_variable_value action="DELETE" query="document_key=4cea98c12f1b0110f98855f62799b680"/>
    <sys_update_version action="INSERT_OR_UPDATE">
        <action>DELETE</action>
        <application display_value="RailRight">3817bc072f430110f98855f62799b62d</application>
        <file_path/>
        <instance_id>37a757b5dbff9740439ef70fbf9619b9</instance_id>
        <instance_name>dev69591</instance_name>
        <name>sys_cb_topic_4cea98c12f1b0110f98855f62799b680</name>
        <payload><![CDATA[<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_topic"><sys_cb_topic action="INSERT_OR_UPDATE"><applicability/><applicability_mode>query</applicability_mode><autopilot_topic>false</autopilot_topic><category>bfdd66da0b203300a1b16c2367673a1f</category><channels/><connect_queue/><description>ITSM conversation for creating problem.</description><expose_on_palette>false</expose_on_palette><flexible_conversation_switching>false</flexible_conversation_switching><graph>{
  "graph_api_version": "1.0.36",
  "goals": {
    "primary": {
      "id": "primary",
      "trigger": {
        "type": "primary"
      },
      "name": "primary",
      "applicability": "",
      "description": "",
      "nodes": {
        "283ade88c3914d3b9dfe89c1b59e02b9": {
          "id": "283ade88c3914d3b9dfe89c1b59e02b9",
          "stepType": "Start",
          "name": "Start",
          "greetingResponse": {
            "mode": "simple",
            "value": ""
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "8c1394b7037f4d69bfd21efb6da01bcf": {
          "id": "8c1394b7037f4d69bfd21efb6da01bcf",
          "stepType": "TerminateGoal",
          "name": "End",
          "confirmationMessage": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "ab504e8251704292b8824e18c879e2f5": {
          "id": "ab504e8251704292b8824e18c879e2f5",
          "stepType": "Prompt",
          "name": "Short Description",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Sure, I can help you create a problem. Please tell me more about your problem (a short sentence or two should be fine)"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "9dc1a6339b774c30915a24168512d249",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "4f0cad29de5744038997c12d997d4001": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Urgency",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "What's the urgency of this problem?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "02f54c1d60a048859a2cce19e20248b4",
          "id": "4f0cad29de5744038997c12d997d4001",
          "mode": "external",
          "script": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for urgency.\n    var choiceList = choices.getChoiceList('problem', 'urgency');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options;    \n})()\n",
          "noRecordsResponseMsg": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No choices found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "condition": {
            "value": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for urgency.\n    var choiceList = choices.getChoiceList('problem', 'urgency');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options;    \n})()\n",
            "mode": "external_script"
          },
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": "",
            "label": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "07a7cc5d9fac49e5bbcd0947e90f35ea": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Impact",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "What's the impact of this problem?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "b641d4cf7db448cb824abdf316122f6e",
          "id": "07a7cc5d9fac49e5bbcd0947e90f35ea",
          "mode": "external",
          "script": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for impact.\n    var choiceList = choices.getChoiceList('problem', 'impact');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options; \n})();\n",
          "noRecordsResponseMsg": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No choices found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "condition": {
            "value": "(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for impact.\n    var choiceList = choices.getChoiceList('problem', 'impact');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options; \n})();\n",
            "mode": "external_script"
          },
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": "",
            "label": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "14befe7f6cf44233a0b812fb8659c7dc": {
          "id": "14befe7f6cf44233a0b812fb8659c7dc",
          "stepType": "Prompt",
          "name": "CI Search Term",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": "OK, let's search for the right configuration item (CI). Please enter a specific search term and I'll take a look."
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "e0a867b3d6ca45baa63627d889455bf3",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "mode": "script",
            "value": "(function execute() {\n    /* Return true or false to indicate if the topic node can\n       be skipped (or not).  For example:\n\n       var skippable = vaInputs.first_name == 'Bill' ? true : false;\n       return skippable;\n    */\n    return true;\n})()\n"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "e0801644a6684d6ba50863bc61251063": {
          "id": "e0801644a6684d6ba50863bc61251063",
          "name": "Check matching CIs",
          "script": "(function execute() {\n    var count = 0;\n\n    var gr = new GlideAggregate('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addAggregate('COUNT');\n    gr.query();\n    if (gr.next())\n        count = gr.getAggregate('COUNT');\n\n    if (count &gt; vaVars.choice_limit) {\n        var gr = new GlideAggregate('cmdb_ci');\n        gr.addQuery('name', vaInputs.ci_search_term);\n        gr.addAggregate('COUNT');\n        gr.query();\n        if (gr.next() &amp;&amp; gr.getAggregate('COUNT') &gt; 0){\n            count = gr.getAggregate('COUNT');\n        }\n        \n    }\n    // set count variable\n    vaVars.count = count;\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "e50dee39e2a645718fba28c218580b04": {
          "id": "e50dee39e2a645718fba28c218580b04",
          "stepType": "Decision",
          "name": "CI Count Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "8a064e30b5724e9896bbba61f861ca29": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Configuration Item",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Ok, now let's search for the associated configuration item."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "5fed4abecb144bb1a2028993aa4cdd4d",
          "id": "8a064e30b5724e9896bbba61f861ca29",
          "mode": "external",
          "script": "(function execute() {\n    var count = 0;\n    var options = [];\n    \n    options.push({ 'value': 'skip', 'label': gs.getMessage('Skip configuration item') });\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', vaInputs.ci_search_term);\n    gr.query();\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    var count = gr.getRowCount();\n    vaVars.count = count;\n\n\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addQuery('name', '!=', vaInputs.ci_search_term)\n    gr.orderBy('name');\n    gr.query();\n\n    var count = gr.getRowCount();\n    vaVars.count = vaVars.count + count;\n\n\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    return options;\n})();",
          "noRecordsResponseMsg": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No Records Found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "condition": {
            "value": "(function execute() {\n    var count = 0;\n    var options = [];\n    \n    options.push({ 'value': 'skip', 'label': gs.getMessage('Skip configuration item') });\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', vaInputs.ci_search_term);\n    gr.query();\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    var count = gr.getRowCount();\n    vaVars.count = count;\n\n\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addQuery('name', '!=', vaInputs.ci_search_term)\n    gr.orderBy('name');\n    gr.query();\n\n    var count = gr.getRowCount();\n    vaVars.count = vaVars.count + count;\n\n\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    return options;\n})();",
            "mode": "external_script"
          },
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "a9a8fe7ef6994e5482174bd531e5df95": {
          "id": "a9a8fe7ef6994e5482174bd531e5df95",
          "stepType": "Decision",
          "name": "CI Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "b170db241b7b4818b81d125a57c9b19f": {
          "id": "b170db241b7b4818b81d125a57c9b19f",
          "stepType": "TextOutput",
          "name": "Captured CI",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Alright, I've captured it."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "4b4f9230b5e04e92a276f4201d41698a": {
          "id": "4b4f9230b5e04e92a276f4201d41698a",
          "name": "No CI",
          "script": "(function execute() {\n    vaInputs.configuration_item = '';\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "150ccbea5dbe4a3f8a103a62556e9aef": {
          "id": "150ccbea5dbe4a3f8a103a62556e9aef",
          "name": "Set CI",
          "script": "(function execute() {\n    vaVars.configuration_item_selected = vaInputs.configuration_item;\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "15aa7b1c457e487796c5f95648877bff": {
          "id": "15aa7b1c457e487796c5f95648877bff",
          "stepType": "Decision",
          "name": "Add Details Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "3b46dd9b58a44b65abd84044bc4263f4": {
          "id": "3b46dd9b58a44b65abd84044bc4263f4",
          "stepType": "Prompt",
          "name": "Description",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Please enter the description"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "3e5817ecce8a4620bf31ddf6c127ab4d",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "e348a51e53bb4e91b44fffacf368ac7a": {
          "id": "e348a51e53bb4e91b44fffacf368ac7a",
          "name": "Create Problem",
          "script": "(function execute() {\n    var problemGr = new GlideRecordSecure('problem');\n    problemGr.initialize();\n    problemGr.short_description = vaInputs.short_description;\n    problemGr.urgency = vaInputs.urgency;\n    problemGr.impact = vaInputs.impact;\n    problemGr.cmdb_ci = vaVars.configuration_item_selected;\n    problemGr.description = vaInputs.description;\n    // When no CI found, add the search term to the additional comments\n    if (vaVars.count == 0)\n        problemGr.comments = \"Affected CI Description: \" + vaInputs.ci_search_term;\n    \n    vaVars.create_problem = problemGr.insert();\n    return vaVars.create_problem;\n})();",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "96018bb53ffb40b4ad372e0890900d7e": {
          "id": "96018bb53ffb40b4ad372e0890900d7e",
          "stepType": "TextOutput",
          "name": "Success",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "I've successfully created the problem."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "9ef11a0b08b64c0294d7fd5479fe613a": {
          "id": "9ef11a0b08b64c0294d7fd5479fe613a",
          "stepType": "Decision",
          "name": "Short description Value Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "fb70707b0cf74028b611eb7d0cfa4e74": {
          "id": "fb70707b0cf74028b611eb7d0cfa4e74",
          "stepType": "Prompt",
          "name": "Add Additional Details",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "We are almost done! Do you want to add additional details to this problem?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "3ff090c7233046feae76cd82f8e9bd9a",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          }
        },
        "95ccbec7fba440d7a31318b95089b861": {
          "id": "95ccbec7fba440d7a31318b95089b861",
          "stepType": "RecordOutput",
          "name": "Problem Card",
          "variableId": "",
          "mode": "script",
          "script": "(function execute(table) {\n    var gr = new GlideRecord(table);\n    gr.get(vaInputs.create_problem);\n    if(gr) {\n          return gr;\n    }\n})(table);\n",
          "tableName": "problem",
          "fields": [
            "short_description",
            "urgency",
            "impact",
            "cmdb_ci",
            "description"
          ],
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "condition": {
            "mode": "glide_scripted_query",
            "value": "(function execute(table) {\n    var gr = new GlideRecordSecure(table);\n    gr.get(vaVars.create_problem);\n    if(gr) {\n          return gr;\n    }\n})(table);\n"
          },
          "cardTemplate": "General",
          "cardFields": {},
          "cardDefinition": {}
        },
        "8e5510b1dc1c4c049c80432906358a55": {
          "id": "8e5510b1dc1c4c049c80432906358a55",
          "stepType": "Prompt",
          "name": "Repeat CI Search",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "I did not find any CIs, would you like to search again for the CI?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "4669d51b41bc4dfcbfe79a4af2c19cf5",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          }
        },
        "cc593ab5764f4a8e940dda9f8404b9f4": {
          "id": "cc593ab5764f4a8e940dda9f8404b9f4",
          "stepType": "Decision",
          "name": "Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "d648e54912224f63b7bae9c10064087c": {
          "id": "d648e54912224f63b7bae9c10064087c",
          "stepType": "Decision",
          "name": "Decision"
        },
        "66635838ecc8498b89f7d561b6ab52b2": {
          "id": "66635838ecc8498b89f7d561b6ab52b2",
          "stepType": "TextOutput",
          "name": "Unsuccessful message",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "The problem creation failed due to some internal error. Please try again later."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "value": "",
            "mode": "query"
          },
          "secure": false
        },
        "d7b0c728d446406bb14dbab5d2ac5544": {
          "id": "d7b0c728d446406bb14dbab5d2ac5544",
          "stepType": "Decision",
          "name": "Decision"
        },
        "46622b74d7214948ac5ffadc7fb0a7ed": {
          "id": "46622b74d7214948ac5ffadc7fb0a7ed",
          "stepType": "TextOutput",
          "name": "More choice message",
          "secure": false,
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": "Seems like there are several CIs that include that search term. Could you try being more specific?"
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "value": "",
            "mode": "query"
          }
        }
      },
      "edges": [
        {
          "id": "9eee833fc6e24bb9a1502c5e5eb94e22",
          "edgeType": "Edge",
          "source": "96018bb53ffb40b4ad372e0890900d7e",
          "target": "95ccbec7fba440d7a31318b95089b861",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "58c38c1a57d747bdabff0a93e9b8a4b9",
          "edgeType": "Branch",
          "source": "a9a8fe7ef6994e5482174bd531e5df95",
          "target": "4b4f9230b5e04e92a276f4201d41698a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaInputs.configuration_item == 'skip';\n})();"
          },
          "label": "Skip"
        },
        {
          "id": "db0e776009aa49b3bc5441725363d213",
          "edgeType": "Edge",
          "source": "fb70707b0cf74028b611eb7d0cfa4e74",
          "target": "15aa7b1c457e487796c5f95648877bff",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "f13ffc64d18e43b5bed30b558e6efa7c",
          "edgeType": "Branch",
          "source": "15aa7b1c457e487796c5f95648877bff",
          "target": "e348a51e53bb4e91b44fffacf368ac7a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "add_additional_details=",
            "mode": "query"
          },
          "label": "No"
        },
        {
          "id": "b77bf7f7661c4fa4a676cd0227a9eb7e",
          "edgeType": "Edge",
          "source": "283ade88c3914d3b9dfe89c1b59e02b9",
          "target": "ab504e8251704292b8824e18c879e2f5",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "c08d9228eb594c59afc6193aba3e118b",
          "edgeType": "Edge",
          "source": "4f0cad29de5744038997c12d997d4001",
          "target": "07a7cc5d9fac49e5bbcd0947e90f35ea",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "5054e6d813644e209a988a24b5b3a32f",
          "edgeType": "Edge",
          "source": "07a7cc5d9fac49e5bbcd0947e90f35ea",
          "target": "14befe7f6cf44233a0b812fb8659c7dc",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "728301cb300044c1bce2159d2b7f1d09",
          "edgeType": "Edge",
          "source": "e0801644a6684d6ba50863bc61251063",
          "target": "e50dee39e2a645718fba28c218580b04",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "d7cdfcf392924dc89a41f669a9a44509",
          "edgeType": "Branch",
          "source": "e50dee39e2a645718fba28c218580b04",
          "target": "8a064e30b5724e9896bbba61f861ca29",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.count &gt; 0 &amp;&amp; vaVars.count &lt; vaVars.choice_limit;\n})();\n"
          },
          "label": "Matching CI/CIs and less than limit"
        },
        {
          "id": "7b4de7de429a4ebc8628b352a2fc48bc",
          "edgeType": "Edge",
          "source": "8a064e30b5724e9896bbba61f861ca29",
          "target": "a9a8fe7ef6994e5482174bd531e5df95",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "e927e24e51884e91845a43c6c1cf12ff",
          "edgeType": "Branch",
          "source": "a9a8fe7ef6994e5482174bd531e5df95",
          "target": "b170db241b7b4818b81d125a57c9b19f",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return (vaInputs.configuration_item != 'skip' &amp;&amp; parseInt(vaVars.count) &gt; 0);\n})();"
          },
          "label": "CI Chosen"
        },
        {
          "id": "d1bb3e818cd740e59e8886d42704d9f4",
          "edgeType": "Edge",
          "source": "b170db241b7b4818b81d125a57c9b19f",
          "target": "150ccbea5dbe4a3f8a103a62556e9aef",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "9748a9238aa9429a8ce8953f05650a07",
          "edgeType": "Edge",
          "source": "4b4f9230b5e04e92a276f4201d41698a",
          "target": "150ccbea5dbe4a3f8a103a62556e9aef",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "d549606a65cf42e39c9369e6ebae6579",
          "edgeType": "Edge",
          "source": "150ccbea5dbe4a3f8a103a62556e9aef",
          "target": "fb70707b0cf74028b611eb7d0cfa4e74",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "69b7beb0dfd94a5fbc2fd7a409b83939",
          "edgeType": "Branch",
          "source": "15aa7b1c457e487796c5f95648877bff",
          "target": "3b46dd9b58a44b65abd84044bc4263f4",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "add_additional_details=true",
            "mode": "query"
          },
          "label": "Yes"
        },
        {
          "id": "a1e7ac84b16147719ddba19b7177e462",
          "edgeType": "Edge",
          "source": "3b46dd9b58a44b65abd84044bc4263f4",
          "target": "e348a51e53bb4e91b44fffacf368ac7a",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "89e38f21e8ca4287b61343646f623726",
          "edgeType": "Edge",
          "source": "ab504e8251704292b8824e18c879e2f5",
          "target": "9ef11a0b08b64c0294d7fd5479fe613a",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "7bcc5b08d88e48139baa6fc50543ea7d",
          "edgeType": "Branch",
          "source": "9ef11a0b08b64c0294d7fd5479fe613a",
          "target": "4f0cad29de5744038997c12d997d4001",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaInputs.short_description.getValue().trim() != '';\n})();\n"
          },
          "label": "Not Empty"
        },
        {
          "id": "e4670c75091e4cd8bfb8f30cafde02c6",
          "edgeType": "Branch",
          "source": "9ef11a0b08b64c0294d7fd5479fe613a",
          "target": "ab504e8251704292b8824e18c879e2f5",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaInputs.short_description.getValue().trim() == '';\n})();\n"
          },
          "label": "Empty"
        },
        {
          "id": "749210cfadc348929e369f830a43ee6c",
          "edgeType": "Edge",
          "source": "95ccbec7fba440d7a31318b95089b861",
          "target": "8c1394b7037f4d69bfd21efb6da01bcf",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "1b7bebed8f0f44e6b1636b1ca5a8d60e",
          "edgeType": "Branch",
          "source": "e50dee39e2a645718fba28c218580b04",
          "target": "8e5510b1dc1c4c049c80432906358a55",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.count == 0;\n})();\n"
          },
          "label": "No matching CI"
        },
        {
          "id": "704ff39e02a94c56a315984783953223",
          "edgeType": "Edge",
          "source": "8e5510b1dc1c4c049c80432906358a55",
          "target": "cc593ab5764f4a8e940dda9f8404b9f4",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "daab727e0ac544a6b4c724a1e902581e",
          "edgeType": "Branch",
          "source": "cc593ab5764f4a8e940dda9f8404b9f4",
          "target": "4b4f9230b5e04e92a276f4201d41698a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "repeat_ci_search=",
            "mode": "query"
          },
          "label": "Skip Search"
        },
        {
          "id": "d0cb7261722d4bda9bba4a32ed4fecb3",
          "edgeType": "Branch",
          "source": "cc593ab5764f4a8e940dda9f8404b9f4",
          "target": "14befe7f6cf44233a0b812fb8659c7dc",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "repeat_ci_search=true",
            "mode": "query"
          },
          "label": "Repeat Search"
        },
        {
          "id": "bb3c2eb20ef444f9acc57a3412c000db",
          "edgeType": "Edge",
          "source": "e348a51e53bb4e91b44fffacf368ac7a",
          "target": "d648e54912224f63b7bae9c10064087c",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "def606a5698a415f80d9e58dbc2bca73",
          "edgeType": "Branch",
          "source": "d648e54912224f63b7bae9c10064087c",
          "target": "96018bb53ffb40b4ad372e0890900d7e",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.create_problem != null;\n})()\n"
          },
          "label": "Update Successful"
        },
        {
          "id": "a1e5a84946a4447ba6c3d6ab963734c2",
          "edgeType": "Branch",
          "source": "d648e54912224f63b7bae9c10064087c",
          "target": "66635838ecc8498b89f7d561b6ab52b2",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.create_problem == null;\n})()\n"
          },
          "label": "Update Not Successful"
        },
        {
          "id": "ba2689b369d84fc285aacdd08e6a0269",
          "edgeType": "Edge",
          "source": "66635838ecc8498b89f7d561b6ab52b2",
          "target": "8c1394b7037f4d69bfd21efb6da01bcf",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "2fb03325718f484ca1f765c399e5c6b2",
          "edgeType": "Edge",
          "source": "14befe7f6cf44233a0b812fb8659c7dc",
          "target": "d7b0c728d446406bb14dbab5d2ac5544",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "4d1f661bc1b24704a1c7c3eb472f5cf5",
          "edgeType": "Branch",
          "source": "d7b0c728d446406bb14dbab5d2ac5544",
          "target": "e0801644a6684d6ba50863bc61251063",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "vaInputs.ci_search_termISNOTEMPTY",
            "mode": "query"
          },
          "label": "Search CI"
        },
        {
          "id": "3e0757938ba14b93a12205c9e193ca5d",
          "edgeType": "Branch",
          "source": "d7b0c728d446406bb14dbab5d2ac5544",
          "target": "4b4f9230b5e04e92a276f4201d41698a",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "value": "vaInputs.ci_search_termISEMPTY",
            "mode": "query"
          },
          "label": "Skip"
        },
        {
          "id": "de3e1bfdffe54d55b398408bf50150e7",
          "edgeType": "Branch",
          "source": "e50dee39e2a645718fba28c218580b04",
          "target": "46622b74d7214948ac5ffadc7fb0a7ed",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return (vaVars.count &gt; vaVars.choice_limit);\n})()\n"
          },
          "label": "More than limit"
        },
        {
          "id": "92c8976fda0c45b3b603283b045b5449",
          "edgeType": "Edge",
          "source": "46622b74d7214948ac5ffadc7fb0a7ed",
          "target": "14befe7f6cf44233a0b812fb8659c7dc",
          "sourcePort": "",
          "targetPort": ""
        }
      ]
    }
  },
  "variables": {
    "9dc1a6339b774c30915a24168512d249": {
      "id": "9dc1a6339b774c30915a24168512d249",
      "name": "short_description",
      "label": "Short Description",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMzYwNzY3MjU4MiBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "02f54c1d60a048859a2cce19e20248b4": {
      "id": "02f54c1d60a048859a2cce19e20248b4",
      "name": "urgency",
      "label": "Urgency",
      "varType": "reference",
      "table": "",
      "category": "vaInputs"
    },
    "b641d4cf7db448cb824abdf316122f6e": {
      "id": "b641d4cf7db448cb824abdf316122f6e",
      "name": "impact",
      "label": "Impact",
      "varType": "reference",
      "table": "",
      "category": "vaInputs"
    },
    "e0a867b3d6ca45baa63627d889455bf3": {
      "id": "e0a867b3d6ca45baa63627d889455bf3",
      "name": "ci_search_term",
      "label": "CI Search Term",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMzYwNzY3MjU4MiBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "5fed4abecb144bb1a2028993aa4cdd4d": {
      "id": "5fed4abecb144bb1a2028993aa4cdd4d",
      "name": "configuration_item",
      "label": "Configuration Item",
      "varType": "reference",
      "table": "",
      "category": "vaInputs"
    },
    "3e5817ecce8a4620bf31ddf6c127ab4d": {
      "id": "3e5817ecce8a4620bf31ddf6c127ab4d",
      "name": "description",
      "label": "Description",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMzYwNzY3MjU4MiBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "ed84b8371b294c9ba4443b1aca5dfab8": {
      "id": "ed84b8371b294c9ba4443b1aca5dfab8",
      "name": "LiveAgent_application",
      "value": {
        "mode": "simple",
        "value": "itsm"
      },
      "varType": "script",
      "label": "LiveAgent_application",
      "category": "vaVars"
    },
    "b52456e31d314468b6fbcb9f5825287e": {
      "id": "b52456e31d314468b6fbcb9f5825287e",
      "value": {
        "value": "",
        "mode": "simple"
      },
      "name": "configuration_item_selected",
      "label": "configuration_item_selected",
      "varType": "script",
      "category": "vaVars"
    },
    "77bca6ba6e12426ea46a58860a37d54f": {
      "id": "77bca6ba6e12426ea46a58860a37d54f",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "count",
      "label": "count",
      "varType": "script",
      "category": "vaVars"
    },
    "3ff090c7233046feae76cd82f8e9bd9a": {
      "id": "3ff090c7233046feae76cd82f8e9bd9a",
      "name": "add_additional_details",
      "label": "Add Additional Details",
      "varType": "boolean",
      "category": "vaInputs"
    },
    "4669d51b41bc4dfcbfe79a4af2c19cf5": {
      "id": "4669d51b41bc4dfcbfe79a4af2c19cf5",
      "name": "repeat_ci_search",
      "label": "Repeat CI Search",
      "varType": "boolean",
      "category": "vaInputs"
    },
    "1eb62b95a9d54cefbe1a1226f66ff777": {
      "category": "vaInputs",
      "id": "1eb62b95a9d54cefbe1a1226f66ff777",
      "label": "User",
      "name": "user",
      "table": "sys_user",
      "varType": "reference"
    },
    "c73e956bd114408b9b18f3b310d22713": {
      "id": "c73e956bd114408b9b18f3b310d22713",
      "value": {
        "mode": "script",
        "value": "(function execute() {\n    if(vaContext.deviceType == 'mweb') \n    return 100000;\n    \n    return 100;\n})()\n"
      },
      "name": "choice_limit",
      "label": "choice_limit",
      "varType": "script",
      "category": "vaVars"
    }
  }
}</graph><key_phrases>Create Problem,Create Problem-Rail,create problem,problem,prb,report problem,generate problem</key_phrases><library>false</library><live_agent>false</live_agent><name>Create Problem</name><nlu_intent/><nlu_intent_label/><nlu_model/><nlu_model_label/><nlu_provider/><palette_label/><roles>itil</roles><source_topic_id>f6aadcc12f1b0110f98855f62799b6b5</source_topic_id><sys_class_name>sys_cb_topic</sys_class_name><sys_created_by>admin</sys_created_by><sys_created_on>2022-05-04 13:38:28</sys_created_on><sys_domain>global</sys_domain><sys_id>4cea98c12f1b0110f98855f62799b680</sys_id><sys_mod_count>1</sys_mod_count><sys_name>Create Problem</sys_name><sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package><sys_policy/><sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope><sys_update_name>sys_cb_topic_4cea98c12f1b0110f98855f62799b680</sys_update_name><sys_updated_by>admin</sys_updated_by><sys_updated_on>2022-05-04 13:38:42</sys_updated_on><triggerable_by_notification>false</triggerable_by_notification><type>STANDARD</type><variables/></sys_cb_topic><sys_variable_value action="delete_multiple" query="document_key=4cea98c12f1b0110f98855f62799b680"/></record_update>]]></payload>
        <payload_hash>-1095584385</payload_hash>
        <record_name>Create Problem</record_name>
        <reverted_from/>
        <source>6e4c07df2f870110f98855f62799b68a</source>
        <source_table>sys_update_set</source_table>
        <state>previous</state>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 13:38:42</sys_created_on>
        <sys_id>23ea18052f1b0110f98855f62799b66a</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_recorded_at>1808f4b5e090000001</sys_recorded_at>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 13:38:42</sys_updated_on>
        <type>Topic</type>
        <update_guid>2bea1805fe1b011033cb297ffb6a9469</update_guid>
        <update_guid_history>2bea1805fe1b011033cb297ffb6a9469:-1095584385,d4ead4051b1b01108ed3cf3173d4066d:-1115821107</update_guid_history>
    </sys_update_version>
    <sys_metadata_delete action="INSERT_OR_UPDATE">
        <sys_audit_delete/>
        <sys_class_name>sys_metadata_delete</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 13:44:14</sys_created_on>
        <sys_db_object display_value="" name="sys_cb_topic">sys_cb_topic</sys_db_object>
        <sys_id>084e0be3891944dcafa42957014918e4</sys_id>
        <sys_metadata>4cea98c12f1b0110f98855f62799b680</sys_metadata>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>Create Problem</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_parent/>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_scope_delete display_value="">0d1234f39aa14a258dfd0a9956c72b11</sys_scope_delete>
        <sys_update_name>sys_cb_topic_4cea98c12f1b0110f98855f62799b680</sys_update_name>
        <sys_update_version display_value="sys_cb_topic_4cea98c12f1b0110f98855f62799b680">23ea18052f1b0110f98855f62799b66a</sys_update_version>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 13:44:14</sys_updated_on>
    </sys_metadata_delete>
</record_update>
